import 'dart:core';
import 'dart:math';

class Utils {
  static now() {
    return DateTime.now();
  }

  // 获取随机数
  static double getRandom() {
    return Random().nextDouble();
  }

  // 获取错误堆栈所在位置
  static String getStackPage(String stack) {
    try {
      int startIndex = stack.indexOf('#0');
      int endIndex = stack.indexOf('#1');
      String firstMsg =
          stack.substring(startIndex + 2, endIndex).trim(); // 堆栈第一条记录
      int startPos = firstMsg.indexOf('(package:') + 1;
      int endPos = firstMsg.indexOf('dart:') - 1;
      return firstMsg.substring(startPos, endPos).trim();
    } catch (error) {
      return 'not about error page position';
    }
  }
}
