/// 配置中心
class Config {
  Map config = {
    'version': '1.0.0',
    'setSystemInfo': true,
    'setLocation': true,
    'userInfo': {},
    'location': [],
    'key': '',
    // 应用唯一key
    'mergeSize': 5,
    // 合并尺寸
    'mergeReport': true,
    // mergeReport 是否合并上报， false 关闭， true 启动（默认）
    'delay': 1000,
    // 当 mergeReport 为 true 可用，延迟多少毫秒，合并缓冲区中的上报（默认）
    'url': '',
    // 指定错误上报地址
    'performanceUrl': '',
    // 性能数据上报地址
    'except': [],
    // 忽略某个错误
    'userRandom': 1,
    // 抽样用户采集率 1~0 之间数值，1为100%采样所有用户
    'random': 1,
    // 单个用户错误抽样上报抽样率，1~0 之间数值，1为100%上报（默认 1）
    'repeat': 5,
    // 重复上报次数(对于同一个错误超过多少次不上报)
    'extra': {},
    // 额外请求参数

    'errorType': 'error',
    // log error warn info
    'errorLevel': 0,
    'guid': '',
    // 用户会话唯一标识
    'userId': '',
    // 用户唯一标识
    'contentType': 'application/x-www-form-urlencoded',
    // application/json;charset=utf-8 application/x-www-form-urlencoded
    'reportDecode': true
    // 上报是否开启json decode参数
  };

  Config({Map options}) {
    if (options != null) {
      this.config.addAll(options);
    }
  }

  get(String name) {
    return this.config[name];
  }

  set(String name, value) {
    this.config[name] = value;
    return this.config[name];
  }
}
