import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:x_monitor_flutter/x_monitor_flutter.dart';

void main() {
  const MethodChannel channel = MethodChannel('x_monitor_flutter');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await XMonitorFlutter.platformVersion, '42');
  });
}
